'===============================================================================
' Copyright 2014 Alachisoft.  All rights reserved.
'===============================================================================



Imports System
Imports System.Data
Imports System.Collections
Imports System.Runtime.CompilerServices
Imports System.Runtime.InteropServices
Imports TDevFramework

 Namespace NCacheSample

	Public Interface IShippersCollection 
		
         Property item(ByVal index As Integer) As Shippers
         Sub Add(ByRef objValue As Shippers)
         Sub Remove(ByRef objValue As Shippers)
         Function Contains(ByRef objValue As Shippers) As Boolean
    End Interface
	

	< ClassInterface(ClassInterfaceType.AutoDual), Serializable()> _
	Public Class ShippersCollection
	    Inherits   Collection
	    Implements IShippersCollection 
        Public Sub New()
            '--
        End Sub

		' <summary>
		' Gets the <c>Shippers</c> object at the specified index.
		' </summary>
		' <value>The <c>Shippers</c> object.</value>
        Default Public Shadows Property item(ByVal index As Integer) As Shippers _
            Implements IShippersCollection.item
            Get
                Return CType(MyBase.Item(index), Shippers)
            End Get
			Set
				MyBase.Item(index) = value
			End Set
			
        End Property

        Public Overloads Sub Add(ByRef value As Shippers) _
            Implements IShippersCollection.Add

            MyBase.Add(value)
        End Sub

        Public Overloads Sub Remove(ByRef value As Shippers) _
            Implements IShippersCollection.Remove

            MyBase.Remove(value)
        End Sub

		' <summary>
		' If value is not of type object, this will return false.
		' </summary>
        Public Overloads Function Contains(ByRef value As Shippers) As Boolean _
            Implements IShippersCollection.Contains

            Return MyBase.Contains(value)
        End Function

    End Class
End Namespace